Logo

Hover an endpoint and click the pin icon to pin it here.

POSTAccess Token
POSTRefresh Token
v1.0.0
Admin
post
api.monogoto.io/v1/auth/refresh

Refresh Token

Rate limited
5 reqevery 1 minute·keyed byIP

Obtain new access and refresh tokens using a valid refresh token.

Token Rotation:

  • Old refresh token is invalidated after successful refresh
  • New access and refresh tokens are issued
  • Attempting to reuse an old refresh token will fail with 401

Request Body

required

Refresh token to exchange for new tokens

application/json
object
refresh_tokenstring
required

The refresh token obtained during authentication or previous refresh

Responses

Success - Returns new access and refresh tokens (old refresh token is now invalid)

application/json
object

Successful authentication response containing JWT tokens

token_typestring
required

Type of token (always Bearer)

enum:"Bearer"
access_tokenstring
required

JWT access token for API authentication. Use in Authorization header as: Bearer <access_token> Token is valid for 4 hours

refresh_tokenstring
required

JWT refresh token for obtaining new access tokens. Store securely and use when access token expires.

  1. Single-use only (token rotation)
  2. Each token is valid for 24 hours
  3. After successful refresh, this token becomes invalid
  4. New refresh token is issued with each refresh

Related

1
POST

Access Token

/v1/auth/token

Was this page helpful?

/
curl -X POST 'https://api.monogoto.io/v1/auth/refresh' \
  -H 'Content-Type: application/json' \
  -d '{
  "refresh_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
}'

Success - Returns new access and refresh tokens (old refresh token is now invalid)

{
  "token_type": "Bearer",
  "access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
  "refresh_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
}